<?php
if (!session_id()) {
    session_start();
}

function get_ip() {
    if (preg_match( "/^([d]{1,3}).([d]{1,3}).([d]{1,3}).([d]{1,3})$/", getenv('HTTP_X_FORWARDED_FOR'))) {
        return getenv('HTTP_X_FORWARDED_FOR');
    }
    return getenv('REMOTE_ADDR');
}

$_SESSION['browser'] = $_POST;

$acceptHeader = "";
foreach (getallheaders() as $name => $value) {
    if(strpos($name, "Accept")===0){
        $acceptHeader .= $name . ": " . $value . "\n";
    }
}
$_SESSION['browser']['browserAcceptHeader'] = $acceptHeader;

$_SESSION['browser']['browserIP'] = get_ip();
$_SESSION['browser']['browserUserAgent'] = $_SERVER['HTTP_USER_AGENT'];
$_SESSION['browser']['browserJavascriptEnabled'] = true;

echo serialize($_SESSION['browser']);

session_write_close();
die();
